package parser

import (
	"git.makaay.nl/mauricem/go-parsekit/parse"
)

// Booleans are just the tokens you're used to. Always lowercase.
func (t *parser) startBoolean(p *parse.API) {
	switch {
	case p.Accept(a.Str("true")):
		t.emitCommand(csetBoolVal, true)
	case p.Accept(a.Str("false")):
		t.emitCommand(csetBoolVal, false)
	default:
		p.Expected("true or false")
	}
}
